Bug 1122230 - Review Request: nodejs-private - Utility for associating truly private state with any JavaScript object
Summary: Review Request: nodejs-private - Utility for associating truly private state ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1122234 1122235 1122236
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:05 UTC by Ralph Bean
Modified: 2014-08-15 02:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-23 19:07:25 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:05:21 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-private.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-private-0.1.5-1.fc20.src.rpm

Description:
A general-purpose utility for associating truly private state with any
JavaScript object.

Comment 1 Parag AN(पराग) 2014-07-23 13:40:01 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-private.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :85799315c5ea96d970312a4c6115b350cf6d97ed20b979b1bc2dfa24a5a0f983
upstream tarball :85799315c5ea96d970312a4c6115b350cf6d97ed20b979b1bc2dfa24a5a0f983

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

APPROVED.

Comment 2 Ralph Bean 2014-07-23 14:39:30 UTC
New Package SCM Request
=======================
Package Name: nodejs-private
Short Description: Utility for associating truly private state with any JavaScript object
Upstream URL: https://npmjs.org/package/private
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-07-23 16:43:07 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-07-23 19:06:00 UTC
nodejs-private-0.1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-private-0.1.5-1.fc20

Comment 5 Fedora Update System 2014-07-23 19:06:09 UTC
nodejs-private-0.1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-private-0.1.5-1.fc19

Comment 6 Ralph Bean 2014-07-23 19:07:25 UTC
Buildroot overrides have been created.

Comment 7 Fedora Update System 2014-08-15 02:32:53 UTC
nodejs-private-0.1.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-08-15 02:41:49 UTC
nodejs-private-0.1.5-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.